<?session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 

//***************

require('fpdf.php');
class PDF extends FPDF {
	function Header()
	{
		$this->Image($_SESSION['logo_validar'],15,6,40,30);
		
		$this->Ln(20);
		$this->SetFont('arial','B',12);
		$this->Cell(8);
		$this->Cell(15,5,$_SESSION['empresa_validar'],0,0,'L');
		$this->SetFont('arial','',8);
		$this->Cell(0,5,'Fecha: '.hoy(),0,1,'R');
		$this->Cell(8);
		$this->Cell(15,5,'Rif: J-41318346-3',0,0,'L'); 
		$this->Cell(0,5,'Hora: '.hora(),0,1,'R');
		$this->Ln(2);$this->Cell(8);
		$this->Cell(0,5,"Periodo del: ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10),0,1,'R');
		$this->Ln(3);

	}
	function Footer()
	{
		$this->SetY(-20);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,utf8_decode(' Página ').$this->PageNo().'/{nb} ',0,0,'C');
	}
	function titulos($header,$w,$tittle,$space){
	
		$this->SetFont('arial','B',12);		
		$this->Cell(0,5,$tittle,0,0,'C');
		$this->Ln(5);
		$this->SetFillColor(65, 105, 225);
		$this->SetTextColor(255);
		$this->SetDrawColor(65, 105, 225);
		$this->SetLineWidth(.3);
		$this->SetFont('','B',10);	
		// Header
		$this->Cell($space);
		for($i=0;$i<count($header);$i++)
			$this->Cell($w[$i],7,utf8_decode($header[$i]),0,0,'C',true);
		$this->Ln();
		$this->SetFillColor(224,235,255);
		$this->SetTextColor(0);
		$this->SetFont('','',8);

    }
	function Tabla($header, $data, $w, $tittle,$space,$totales)	{
	
			$fill = false;
			$this->titulos($header,$w,$tittle,$space);
			$rowCount=0;
			while ($row=mysqli_fetch_row($data)) {				
				if ($rowCount%20==0 && $rowCount){
					$this->AddPage();	
					$this->titulos($header,$w,$tittle,$space);			
				}				
				$this->Cell($space);
				for($i=0;$i<count($header);$i++){
					$aligment = 'C';
					if ($i<2 || $i ==5)	$aligment = 'L';
					if($i==6) $aligment = 'R';
					$this->Cell($w[$i],6,$row[$i],0,0,$aligment,$fill);
				}
				$this->Ln();
				$fill = !$fill;
				$rowCount++;
			}

			$this->titulos($totales,$w,'',$space);
	}
}
//************************/
////////////////////RESUMEN pagos BONOPOLLO
if ($_POST['treporte']==1) {
 		$query='';
 		if ($_POST['nomina']!='') $query .= " and personal.nomina = '".substr($_POST['per1'],13,3)."' ";
 		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		if ($_POST['salida']=='1') {
			
			
            $consulta = "SELECT nomina,departamento,unidad,concepto,FORMAT(sum(monto),2,'de_DE') as monto,fecha_registro, count(*) as numero
            FROM pagos_bonopollo,personal
            WHERE pagos_bonopollo.cedula=personal.codigo and pagos_bonopollo.id=personal.id 
            and pagos_bonopollo.id=".$_SESSION['id_validar']." AND  substr(pagos_bonopollo.fecha_registro,1,10)>='".substr($_POST['per1'],0,10)."' 
            AND  substr(pagos_bonopollo.fecha_registro,1,10)<= '".substr($_POST['per2'],0,10)."' 
            GROUP BY fecha_registro,nomina,departamento,unidad,concepto;";
	        $resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$consulta = "SELECT FORMAT(sum(monto),2,'de_DE') as monto, count(*) as numero FROM pagos_bonopollo,personal
            WHERE pagos_bonopollo.cedula=personal.codigo and pagos_bonopollo.id=personal.id 
            and pagos_bonopollo.id=".$_SESSION['id_validar']." AND  substr(pagos_bonopollo.fecha_registro,1,10)>='".substr($_POST['per1'],0,10)."' 
            AND  substr(pagos_bonopollo.fecha_registro,1,10)<= '".substr($_POST['per2'],0,10)."';";
			$resultadoSum = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$sumMonto = mysqli_fetch_row($resultadoSum);
			$totales = array('Total',' ',' ',' ',$sumMonto[0],' ',$sumMonto[1]);
			$pdf=new PDF('L','mm',[210,297]);
			$pdf->AddPage();
			$pdf->AliasNbPages();
			$w=array(20,25,25,25,25,35,30);
			$space = (287 / 2) - (array_sum($w) / 2);
			$cabecera = array("Nómina","Departamento","Localidad","Concepto","Monto(Bs)","Fecha Registro","Nro. Empleados");
			$pdf->SetFont('arial','B',12);
			$tittle = 'RESUMEN PAGOS BONO POLLO';
			$pdf->Ln(5);
			$pdf->Tabla($cabecera,$resultado,$w,$tittle,$space,$totales);
			$pdf->Output('Resumen pagos Bonopollo.pdf','D');	
			exit();
		}
		$consulta = "SELECT cedula, CONCAT(nombres,' ',nombres1,' ',apellidos,' ',apellidos1) as nombre,nomina,departamento,unidad,concepto,REPLACE(REPLACE(FORMAT(monto,2),',',''),'.',',') as monto,fecha_registro  FROM pagos_bonopollo,personal
		WHERE pagos_bonopollo.cedula=personal.codigo and pagos_bonopollo.id=personal.id and pagos_bonopollo.id=".$_SESSION['id_validar']." AND  substr(pagos_bonopollo.fecha_registro,1,10)>='".substr($_POST['per1'],0,10)."' AND  substr(pagos_bonopollo.fecha_registro,1,10)<= '".substr($_POST['per2'],0,10)."' order by fecha_registro,cedula";
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$cont=0;
		$data=array();
		$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Nomina","Departamento","Localidad","Concepto","Monto(Bs)","Fecha_registro");
		$cabecera=implode(";",$cabecera);
		while ($row=mysqli_fetch_row($resultado)) {
		     $cont++;
			 $data[]=implode(";",$row);
		}
		$data=implode("\n",$data);
		$arch="resumen_pagos_bonopollo del ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10).".csv";		
		header("Content-type: text/csv");
		header("Content-Disposition: attachment; filename=".$arch);
		header("Pragma: no-cache");
		header("Expires: 0");
		echo "Empresa: ".$_SESSION['empresa_validar']."\n";
		echo " \n";
		echo "Resumen de pagos Bonopollo por centro de costo \n";
		echo " \n";
		echo "Periodo del: ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10)."\n";
		echo "\n";
		//echo substr($_POST['per1'],19,10)."\n";
		echo $cabecera."\n";
		echo utf8_decode($data);		
		
 		exit();
}

////////////////////RESUMEN pagos CESTATICKET
if ($_POST['treporte']==2) {
 $query='';
 $conceptoCt = "cestaticket";
 if ($_POST['nomina']!='') $query .= " and personal.nomina = '".substr($_POST['per1'],13,3)."' ";
 		
		if ($_POST['salida']=='1') {

			$consulta = "SELECT personal.nomina, departamento,unidad,'cestaticket' AS concepto,
			FORMAT(sum(monto),2,'de_DE') AS monto, fecha_registro, count(*) as numero
			FROM historico_cestaticket,personal
			WHERE  historico_cestaticket.cedula=personal.codigo 
			and historico_cestaticket.id=personal.id 
			and historico_cestaticket.id=".$_SESSION['id_validar']." 
			AND  substr(historico_cestaticket.fecha_registro,1,10)>='".substr($_POST['per1'],0,10)."' 
			AND  substr(historico_cestaticket.fecha_registro,1,10)<= '".substr($_POST['per2'],0,10)."' 
			GROUP BY fecha_registro, personal.nomina, departamento, unidad, 'cestaticket';";
			$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$consulta = "SELECT FORMAT(sum(monto),2,'de_DE') AS monto,count(*) as numero FROM historico_cestaticket,personal
			WHERE  historico_cestaticket.cedula=personal.codigo 
			and historico_cestaticket.id=personal.id 
			and historico_cestaticket.id=".$_SESSION['id_validar']." 
			AND  substr(historico_cestaticket.fecha_registro,1,10)>='".substr($_POST['per1'],0,10)."' 
			AND  substr(historico_cestaticket.fecha_registro,1,10)<= '".substr($_POST['per2'],0,10)."';";
			$resultadoSum = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$sumMonto = mysqli_fetch_row($resultadoSum);
			$totales = array('Total',' ',' ',' ',$sumMonto[0],' ',$sumMonto[1]);
			$pdf=new PDF('L');
			$pdf->AddPage();
			$pdf->AliasNbPages();
			$w=array(20,25,25,25,25,35,30);
			$space = (287 / 2) - (array_sum($w) / 2);
			$cabecera = array("Nómina","Departamento","Localidad","Concepto","Monto(Bs)","Fecha Registro","Nro. Empleados");
			$pdf->SetFont('arial','B',12);
			$tittle = 'RESUMEN PAGOS CESTATICKET';
			$pdf->Ln(5);
			$pdf->Tabla($cabecera,$resultado,$w,$tittle,$space,$totales);
			$pdf->Output('Resumen pagos Cestaticket.pdf','D');	
			
			exit();
		}
		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		$consulta = "SELECT cedula, CONCAT(nombres,' ',nombres1,' ',apellidos,' ',apellidos1),personal.nomina, departamento,unidad,'".$conceptoCt."',REPLACE(REPLACE(FORMAT(monto,2),',',''),'.',','), fecha_registro FROM historico_cestaticket,personal
		WHERE  historico_cestaticket.cedula=personal.codigo and historico_cestaticket.id=personal.id and historico_cestaticket.id=".$_SESSION['id_validar']." AND  substr(historico_cestaticket.fecha_registro,1,10)>='".substr($_POST['per1'],0,10)."' AND  substr(historico_cestaticket.fecha_registro,1,10)<= '".substr($_POST['per2'],0,10)."' order by fecha_registro,cedula";
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$cont=0;
		$data=array();
		$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Nomina","Departamento","Localidad","Concepto","Monto(Bs)","Fecha_registro");
		$cabecera=implode(";",$cabecera);
		while ($row=mysqli_fetch_row($resultado)) {
		     $cont++;
			 $data[]=implode(";",$row);
		}
		$data=implode("\n",$data);
		$arch="resumen_pagos_cestaticket del ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10).".csv";		
		header("Content-type: text/csv");
		header("Content-Disposition: attachment; filename=".$arch);
		header("Pragma: no-cache");
		header("Expires: 0");
		echo "Empresa: ".$_SESSION['empresa_validar']."\n";
		echo " \n";
		echo "Resumen de pagos de Cestaticket por centro de costo \n";
		echo " \n";
		echo "Periodo del: ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10)."\n";
		echo "\n";
		//echo substr($_POST['per1'],19,10)."\n";
		echo $cabecera."\n";
		echo utf8_decode($data);		
				
		exit();
}


////////////////////RESUMEN pagos NOMINA ESPECIALES
if ($_POST['treporte']==3) {
 $query='';
 
 	if ($_POST['nomina']!='') $query .= " and personal.nomina = '".substr($_POST['per1'],13,3)."' ";
 		
		if ($_POST['salida']=='1') {

			$consulta = "SELECT personal.departamento,personal.unidad,concepto,desconcepto,FORMAT(sum(monto),2,'de_DE') as monto, fecha_registro, count(*) as numero
			FROM historico_pagos_especiales,personal
			WHERE  historico_pagos_especiales.cedula=personal.codigo and historico_pagos_especiales.id=personal.id 
			and historico_pagos_especiales.id=".$_SESSION['id_validar']." AND  substr(historico_pagos_especiales.fecha_registro,1,10)>='".substr($_POST['per1'],0,10)."' AND  substr(historico_pagos_especiales.fecha_registro,1,10)<= '".substr($_POST['per2'],0,10)."'
			GROUP BY fecha_registro, personal.departamento, personal.unidad, concepto;";
			$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$consulta = "SELECT FORMAT(sum(monto),2,'de_DE') as monto, count(*) as numero
			FROM historico_pagos_especiales,personal
			WHERE  historico_pagos_especiales.cedula=personal.codigo and historico_pagos_especiales.id=personal.id 
			and historico_pagos_especiales.id=".$_SESSION['id_validar']." AND  substr(historico_pagos_especiales.fecha_registro,1,10)>='".substr($_POST['per1'],0,10)."' AND  substr(historico_pagos_especiales.fecha_registro,1,10)<= '".substr($_POST['per2'],0,10)."';";
			$resultadoSum = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$sumMonto = mysqli_fetch_row($resultadoSum);
			$totales = array('Total',' ',' ',' ',$sumMonto[0],' ', $sumMonto[1]);
			$pdf=new PDF('L');
			$pdf->AddPage();
			$pdf->AliasNbPages();
			$w=array(25,25,25,100,35,30);
			$space = (287 / 2) - (array_sum($w) / 2);
			$cabecera = array("Departamento","Localidad","Concepto","Detalle_concepto","Monto(Bs)","Fecha Registro","Nro. Empleados");
			$pdf->SetFont('arial','B',12);
			$tittle = 'RESUMEN PAGOS NOMINA ESPECIALES';
			$pdf->Ln(5);
			$pdf->Tabla($cabecera,$resultado,$w,$tittle,$space,$totales);
			$pdf->Output('Resumen pagos Nominas Especiales.pdf','D');	
			exit();
		}
		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		$consulta = "SELECT cedula, CONCAT(nombres,' ',nombres1,' ',apellidos,' ',apellidos1), personal.departamento,personal.unidad,concepto,desconcepto,REPLACE(REPLACE(FORMAT(monto,2),',',''),'.',','), fecha_registro FROM historico_pagos_especiales,personal
		WHERE  historico_pagos_especiales.cedula=personal.codigo and historico_pagos_especiales.id=personal.id and historico_pagos_especiales.id=".$_SESSION['id_validar']." AND  substr(historico_pagos_especiales.fecha_registro,1,10)>='".substr($_POST['per1'],0,10)."' AND  substr(historico_pagos_especiales.fecha_registro,1,10)<= '".substr($_POST['per2'],0,10)."' order by fecha_registro,cedula";
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$cont=0;
		$data=array();
		$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Departamento","Localidad","Concepto","Detalle_concepto","Monto(Bs)","Fecha_registro");
		$cabecera=implode(";",$cabecera);
		while ($row=mysqli_fetch_row($resultado)) {
		     $cont++;
			 $data[]=implode(";",$row);
		}
		$data=implode("\n",$data);
		$arch="resumen_pagos_especiales del ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10).".csv";		
		header("Content-type: text/csv");
		header("Content-Disposition: attachment; filename=".$arch);
		header("Pragma: no-cache");
		header("Expires: 0");
		echo "Empresa: ".$_SESSION['empresa_validar']."\n";
		echo " \n";
		echo "Resumen de pagos de Especiales por centro de costo \n";
		echo " \n";
		echo "Periodo del: ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10)."\n";
		echo "\n";
		//echo substr($_POST['per1'],19,10)."\n";
		echo $cabecera."\n";
		echo utf8_decode($data);		
				
		exit();
}



////////////////////RESUMEN pagos BONIFICACION ESPECIAL en Bs
if ($_POST['treporte']==4) {
	$query='';
	
	if ($_POST['nomina']!='') $query .= " and personal.nomina = '".substr($_POST['per1'],13,3)."' ";

			
		   if ($_POST['salida']=='1') {
			$consulta = "SELECT  pagos_bono_alimen.departamento,pagos_bono_alimen.localidad,concepto,desconcepto,FORMAT(sum(monto),2,'de_DE') as monto,fecha, count(*) as numero
			FROM pagos_bono_alimen,personal
			WHERE concepto IN('7009') AND pagos_bono_alimen.cedula=personal.codigo 
			and pagos_bono_alimen.id=personal.id and pagos_bono_alimen.id=".$_SESSION['id_validar']." AND  pagos_bono_alimen.fecha>='".substr($_POST['per1'],0,10)."' AND  pagos_bono_alimen.fecha<= '".substr($_POST['per2'],0,10)."' GROUP BY fecha, pagos_bono_alimen.departamento,pagos_bono_alimen.localidad,concepto,desconcepto;";
		    $resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$consulta = "SELECT FORMAT(sum(monto),2,'de_DE') as monto, count(*) as numero FROM pagos_bono_alimen,personal
			WHERE concepto IN('7009') AND pagos_bono_alimen.cedula=personal.codigo 
			and pagos_bono_alimen.id=personal.id and pagos_bono_alimen.id=".$_SESSION['id_validar']." AND  pagos_bono_alimen.fecha>='".substr($_POST['per1'],0,10)."' AND  pagos_bono_alimen.fecha<= '".substr($_POST['per2'],0,10)."';";
		    $resultadoSum = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$sumMonto = mysqli_fetch_row($resultadoSum);
			$totales = array('Total',' ',' ',' ',$sumMonto[0],' ',$sumMonto[1]);
			$pdf=new PDF('L');
			$pdf->AddPage();
			$pdf->AliasNbPages();
			$w=array(25,25,25,35,25,35,30);
			$space = (287 / 2) - (array_sum($w) / 2);
			$cabecera = array("Departamento","Localidad","Concepto","Concepto","Monto(Bs)","Fecha Registro","Nro. Empleados");
			$pdf->SetFont('arial','B',12);
			$tittle = 'RESUMEN PAGOS BONIFICACION ESPECIAL';
			$pdf->Ln(5);
			$pdf->Tabla($cabecera,$resultado,$w,$tittle,$space,$totales);
			$pdf->Output('Resumen pagos Bonificacion Especial.pdf','D');	
			exit();
		}
		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		$consulta = "SELECT cedula, CONCAT(nombres,' ',nombres1,' ',apellidos,' ',apellidos1), pagos_bono_alimen.departamento,pagos_bono_alimen.localidad,concepto,desconcepto,REPLACE(REPLACE(FORMAT(monto,2),',',''),'.',','),fecha FROM pagos_bono_alimen,personal
		WHERE concepto IN('7009','7010','7011','7012','7013','7014') AND pagos_bono_alimen.cedula=personal.codigo and pagos_bono_alimen.id=personal.id and pagos_bono_alimen.id=".$_SESSION['id_validar']." AND  pagos_bono_alimen.fecha>='".substr($_POST['per1'],0,10)."' AND  pagos_bono_alimen.fecha<= '".substr($_POST['per2'],0,10)."' order by fecha,cedula,concepto";
		
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

		$cont=0;
		$data=array();
		$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Departamento","Localidad","Concepto","Concepto","Monto(Bs)","Fecha_registro");
		   $cabecera=implode(";",$cabecera);
		   while ($row=mysqli_fetch_row($resultado)) {
				$cont++;
				$data[]=implode(";",$row);
		   }
		   $data=implode("\n",$data);
		$arch="resumen_pagos_bonif_especiales del ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10).".csv";		
		header("Content-type: text/csv");
		header("Content-Disposition: attachment; filename=".$arch);
		header("Pragma: no-cache");
		header("Expires: 0");
		echo "Empresa: ".$_SESSION['empresa_validar']."\n";
		echo " \n";
		echo "Resumen de pagos de Bonificaciones Especiales por centro de costo \n";
		echo " \n";
		echo "Periodo del: ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10)."\n";
		echo "\n";
		//echo substr($_POST['per1'],19,10)."\n";
		echo $cabecera."\n";
		echo utf8_decode($data);		
				
			exit();
   }
   


////////////////////RESUMEN pagos VACACIONES
if ($_POST['treporte']==5) {
 $query='';
 if ($_POST['nomina']!='') $query .= " and personal.nomina = '".substr($_POST['per1'],13,3)."' ";
 		
		if ($_POST['salida']=='1') {
			$consulta = "SELECT nomina, departamento, unidad, fdesde, 
			FORMAT(SUM(valor_dvac),2,'de_DE') AS valor_dvac,
			FORMAT(SUM(valor_dias_ext),2,'de_DE') AS valor_dias_ext,
			FORMAT(SUM(valor_dbon),2,'de_DE') AS valor_dbon,
			FORMAT(SUM(valor_otros_dias),2,'de_DE') AS valor_otros_dias,
			FORMAT(SUM(valor_dias_post),2,'de_DE') AS valor_dias_post,
			FORMAT(SUM(valor_conversion),2,'de_DE') AS valor_conversion,
			FORMAT(SUM(total_pago_vaca),2,'de_DE') AS total_pago_vaca,
			count(*) as numero
			FROM vacacion,personal
			WHERE  cedula=personal.codigo and vacacion.id=personal.id and vacacion.id=".$_SESSION['id_validar']." AND  vacacion.fdesde>='".substr($_POST['per1'],0,10)."' AND  vacacion.fdesde<= '".substr($_POST['per2'],0,10)."'GROUP BY   fdesde,nomina, departamento, unidad;";
			$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$consulta = "SELECT  
			FORMAT(SUM(valor_dvac),2,'de_DE') AS valor_dvac,
			FORMAT(SUM(valor_dias_ext),2,'de_DE') AS valor_dias_ext,
			FORMAT(SUM(valor_dbon),2,'de_DE') AS valor_dbon,
			FORMAT(SUM(valor_otros_dias),2,'de_DE') AS valor_otros_dias,
			FORMAT(SUM(valor_dias_post),2,'de_DE') AS valor_dias_post,
			FORMAT(SUM(valor_conversion),2,'de_DE') AS valor_conversion,
			FORMAT(SUM(total_pago_vaca),2,'de_DE') AS total_pago_vaca, count(*) as numero
			FROM vacacion,personal
			WHERE  cedula=personal.codigo and vacacion.id=personal.id and vacacion.id=".$_SESSION['id_validar']." AND  vacacion.fdesde>='".substr($_POST['per1'],0,10)."' AND  vacacion.fdesde<= '".substr($_POST['per2'],0,10)."';";
			$resultadoSum = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$sumMonto = mysqli_fetch_row($resultadoSum);
			$totales = array('Total',' ',' ',' ',$sumMonto[0],$sumMonto[1],$sumMonto[2],$sumMonto[3],$sumMonto[4],$sumMonto[5],$sumMonto[6],$sumMonto[7]);
			$pdf=new PDF('L','mm',[216,475]);
			$pdf->AddPage();
			$pdf->AliasNbPages();
			$w=array(25,25,25,35,30,35,35,35,35,35,35,30);
			$space = (465 / 2) - (array_sum($w) / 2);
			$cabecera = array("Nómina","Departamento","Localidad","Fecha registro","Vacaciones Hab.","Vacaciones Adic.","Bono vacacional","Días Adic.","Bono Post-Vacac.","Ayuda Económica","Pago total Vacac.","Nro. Empleados");
			$pdf->SetFont('arial','B',12);
			$tittle = 'RESUMEN PAGOS VACACIONES';
			$pdf->Ln(5);
			$pdf->Tabla($cabecera,$resultado,$w,$tittle,$space,$totales);
			$pdf->Output('Resumen pagos Vacaciones.pdf','D');	
			exit();
		}
		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		$consulta = "SELECT cedula, CONCAT(nombres,' ',nombres1,' ',apellidos,' ',apellidos1), nomina, departamento, unidad, fdesde, 
		REPLACE(REPLACE(FORMAT(valor_dvac,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_dias_ext,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_dbon,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_otros_dias,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_dias_post,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_conversion,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(total_pago_vaca,2),',',''),'.',',') 
		FROM vacacion,personal
		WHERE  cedula=personal.codigo and vacacion.id=personal.id and vacacion.id=".$_SESSION['id_validar']." AND  vacacion.fdesde>='".substr($_POST['per1'],0,10)."' AND  vacacion.fdesde<= '".substr($_POST['per2'],0,10)."' order by fdesde ASC";
		
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

		$cont=0;
		$data=array();
		$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Nomina","Departamento","Localidad","Fecha_registro","Vacaciones_Hab","Vacaciones_Adic","Bono_vacacional","Dias_Adic","Bono_Post_Vacac","Ayuda_Economica","Pago_total_Vacac");
		$cabecera=implode(";",$cabecera);
		while ($row=mysqli_fetch_row($resultado)) {
		     $cont++;
			 $data[]=implode(";",$row);
		}
		$data=implode("\n",$data);
	$arch="resumen_pagos_vacaciones del ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10).".csv";		
	header("Content-type: text/csv");
	header("Content-Disposition: attachment; filename=".$arch);
	header("Pragma: no-cache");
	header("Expires: 0");
	echo "Empresa: ".$_SESSION['empresa_validar']."\n";
	echo " \n";
	echo "Resumen de pagos de Vacaciones \n";
	echo " \n";
	echo "Periodo del: ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10)."\n";
	echo "\n";
	//echo substr($_POST['per1'],19,10)."\n";
	echo $cabecera."\n";
	echo utf8_decode($data);		
			
	exit();
}
////////////////////RESUMEN pagos LIQUIDACIONES
if ($_POST['treporte']==6) {
 $query='';
 if ($_POST['nomina']!='') $query .= " and personal.nomina = '".substr($_POST['per1'],13,3)."' ";
 		
		if ($_POST['salida']=='1') {
			$consulta = "SELECT  nomina, departamento, unidad, fecha_pago, 
			FORMAT(sum(valor_dias_pagar),2,'de_DE') as valor_dias_pagar,
			FORMAT(sum(valor_ct_total),2,'de_DE') as valor_ct_total,
			FORMAT(sum(valor_vaca_venc),2,'de_DE') as valor_vaca_venc,
			FORMAT(sum(valor_bonovac_venc),2,'de_DE') as valor_bonovac_venc,
			FORMAT(sum(bono_post_vaca),2,'de_DE') as bono_post_vaca,
			FORMAT(sum(valor_dias_desc_vacac),2,'de_DE') as valor_dias_desc_vacac,
			FORMAT(sum(valor_dias_vac_fraccion),2,'de_DE') as valor_dias_vac_fraccion,
			FORMAT(sum(valor_bonovac_fraccion),2,'de_DE') as valor_bonovac_fraccion,
			FORMAT(sum(ncon01),2,'de_DE') as ncon01,
			FORMAT(sum(valor_utilid_pagar),2,'de_DE') as valor_utilid_pagar,
			FORMAT(sum(prestaciones_pagar),2,'de_DE') as prestaciones_pagar,
			FORMAT(sum(valor_indem),2,'de_DE') as valor_indem,
			FORMAT(sum(intereses_prestac),2,'de_DE') as intereses_prestac,
			FORMAT(sum(valor_islr),2,'de_DE') as valor_islr,
			FORMAT(sum(valor_dpnlabor),2,'de_DE') as valor_dpnlabor,
			FORMAT(sum(inces),2,'de_DE') as inces,
			FORMAT(sum(anticipo_prestac),2,'de_DE') as anticipo_prestac,
			FORMAT(sum(saldo_prestamo),2,'de_DE') as saldo_prestamo,
			FORMAT(sum(adeuti),2,'de_DE') as adeuti,
			FORMAT(sum(ncon02),2,'de_DE') as ncon02,
			FORMAT(sum(total_asig),2,'de_DE') as total_asig,
			FORMAT(sum(total_deduccion),2,'de_DE') as total_deduccion,
			FORMAT(sum(neto_pagar_liq),2,'de_DE') as neto_pagar_liq, count(*) as numero
			FROM liquidaciones,personal
			WHERE  cedula=personal.codigo and liquidaciones.id=personal.id and liquidaciones.id=".$_SESSION['id_validar']." AND  liquidaciones.fecha_pago>='".substr($_POST['per1'],0,10)."' AND  liquidaciones.fecha_pago<= '".substr($_POST['per2'],0,10)."' AND estado_liquidacion='pagado' GROUP BY  fecha_pago,nomina, departamento, unidad;";
			$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$consulta = "SELECT  
			FORMAT(sum(valor_dias_pagar),2,'de_DE') as valor_dias_pagar,
			FORMAT(sum(valor_ct_total),2,'de_DE') as valor_ct_total,
			FORMAT(sum(valor_vaca_venc),2,'de_DE') as valor_vaca_venc,
			FORMAT(sum(valor_bonovac_venc),2,'de_DE') as valor_bonovac_venc,
			FORMAT(sum(bono_post_vaca),2,'de_DE') as bono_post_vaca,
			FORMAT(sum(valor_dias_desc_vacac),2,'de_DE') as valor_dias_desc_vacac,
			FORMAT(sum(valor_dias_vac_fraccion),2,'de_DE') as valor_dias_vac_fraccion,
			FORMAT(sum(valor_bonovac_fraccion),2,'de_DE') as valor_bonovac_fraccion,
			FORMAT(sum(ncon01),2,'de_DE') as ncon01,
			FORMAT(sum(valor_utilid_pagar),2,'de_DE') as valor_utilid_pagar,
			FORMAT(sum(prestaciones_pagar),2,'de_DE') as prestaciones_pagar,
			FORMAT(sum(valor_indem),2,'de_DE') as valor_indem,
			FORMAT(sum(intereses_prestac),2,'de_DE') as intereses_prestac,
			FORMAT(sum(valor_islr),2,'de_DE') as valor_islr,
			FORMAT(sum(valor_dpnlabor),2,'de_DE') as valor_dpnlabor,
			FORMAT(sum(inces),2,'de_DE') as inces,
			FORMAT(sum(anticipo_prestac),2,'de_DE') as anticipo_prestac,
			FORMAT(sum(saldo_prestamo),2,'de_DE') as saldo_prestamo,
			FORMAT(sum(adeuti),2,'de_DE') as adeuti,
			FORMAT(sum(ncon02),2,'de_DE') as ncon02,
			FORMAT(sum(total_asig),2,'de_DE') as total_asig,
			FORMAT(sum(total_deduccion),2,'de_DE') as total_deduccion,
			FORMAT(sum(neto_pagar_liq),2,'de_DE') as neto_pagar_liq, count(*) as numero
			FROM liquidaciones,personal
			WHERE  cedula=personal.codigo and liquidaciones.id=personal.id and liquidaciones.id=".$_SESSION['id_validar']." AND  liquidaciones.fecha_pago>='".substr($_POST['per1'],0,10)."' AND  liquidaciones.fecha_pago<= '".substr($_POST['per2'],0,10)."' AND estado_liquidacion='pagado';";
			$resultadoSum = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$sumMonto = mysqli_fetch_row($resultadoSum);
			$totales = array('Total',' ',' ',' ',$sumMonto[0],$sumMonto[1],$sumMonto[2],$sumMonto[3],$sumMonto[4],$sumMonto[5],$sumMonto[6],$sumMonto[7],$sumMonto8[8],$sumMonto[9],$sumMonto[10],$sumMonto[11],$sumMonto[12],$sumMonto[13],$sumMonto[14],$sumMonto[15],$sumMonto[16],$sumMonto[17],$sumMonto[18],$sumMonto[19],$sumMonto[20],$sumMonto[21],$sumMonto[22],$sumMonto[23]);
			$pdf=new PDF('L','mm',[216,875]);
			$pdf->AddPage();
			$pdf->AliasNbPages();
			$w=array(25,25,25,35,25,25,35,35,35,35,35,35,35,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,30);
			$space = (865 / 2) - (array_sum($w) / 2);
			$cabecera = array("Nómina","Departamento","Localidad","Fecha registro","Días Sueldo","Cestaticket","Vacaciones vencidas","Bono vacacional","Bono Post Vacac.","Dias descan vac","Vacaciones fracc.","Bono vacac fracc","Otras asignaciones","Utilidades","Prestaciones","Indemnización","Interéses","ISLR","Días No laborados","INCES","Antic. Prestaci.","Desc préstamo","Antic. Utilidad","Descuentos","Total Asig.","Total Deducc.","Neto pagar","Nro. Empleados");
			$pdf->SetFont('arial','B',12);
			$tittle = 'RESUMEN PAGOS LIQUIDACIONES';
			$pdf->Ln(5);
			$pdf->Tabla($cabecera,$resultado,$w,$tittle,$space,$totales);
			$pdf->Output('Resumen pagos Liquidaciones.pdf','D');	
			exit();
		}
		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		$consulta = "SELECT cedula, CONCAT(personal.nombres,' ',personal.nombres1,' ',personal.apellidos,' ',personal.apellidos1), nomina, departamento, unidad, fecha_pago, 
		REPLACE(REPLACE(FORMAT(valor_dias_pagar,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_ct_total,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_vaca_venc,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_bonovac_venc,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(bono_post_vaca,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_dias_desc_vacac,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_dias_vac_fraccion,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_bonovac_fraccion,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(ncon01,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_utilid_pagar,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(prestaciones_pagar,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_indem,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(intereses_prestac,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_islr,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_dpnlabor,2),',',''),'.',','),
		REPLACE(REPLACE(FORMAT(inces,2),',',''),'.',','),
		REPLACE(REPLACE(FORMAT(anticipo_prestac,2),',',''),'.',','),
		REPLACE(REPLACE(FORMAT(saldo_prestamo,2),',',''),'.',','),
		REPLACE(REPLACE(FORMAT(adeuti,2),',',''),'.',','),
		REPLACE(REPLACE(FORMAT(ncon02,2),',',''),'.',','),
		REPLACE(REPLACE(FORMAT(total_asig,2),',',''),'.',','),
		REPLACE(REPLACE(FORMAT(total_deduccion,2),',',''),'.',','),
		REPLACE(REPLACE(FORMAT(neto_pagar_liq,2),',',''),'.',',')
		
		FROM liquidaciones,personal
		WHERE  cedula=personal.codigo and liquidaciones.id=personal.id and liquidaciones.id=".$_SESSION['id_validar']." AND  liquidaciones.fecha_pago>='".substr($_POST['per1'],0,10)."' AND  liquidaciones.fecha_pago<= '".substr($_POST['per2'],0,10)."' AND estado_liquidacion='pagado' order by fecha_pago ASC";
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$cont=0;
		$data=array();
		$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Nomina","Departamento","Localidad","Fecha_pago","Dias_Sueldo","Cestaticket","Vacaciones_vencidas","Bono_vacacional","Bono_Post_Vacac","Dias_descan_vac","Vacaciones_fracc","Bono_vacac_fracc","Otras_asignaciones","Utilidades","Prestaciones","Indemnizacion","Intereses","ISLR","Dias_No_laborados","INCES","Antic_Prestaci","Desc_prestamo","Antic_Utilidad","Descuentos","Total_Asig","Total_Deducc","Neto_pagar");
		$cabecera=implode(";",$cabecera);
		while ($row=mysqli_fetch_row($resultado)) {
		     $cont++;
			 $data[]=implode(";",$row);
		}
		$data=implode("\n",$data);
	$arch="resumen_pagos_liquidaciones del ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10).".csv";		
	header("Content-type: text/csv");
	header("Content-Disposition: attachment; filename=".$arch);
	header("Pragma: no-cache");
	header("Expires: 0");
	echo "Empresa: ".$_SESSION['empresa_validar']."\n";
	echo " \n";
	echo "Resumen de pagos de Liquidaciones \n";
	echo " \n";
	echo "Periodo del: ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10)."\n";
	echo "\n";
	//echo substr($_POST['per1'],19,10)."\n";
	echo $cabecera."\n";
	echo utf8_decode($data);		
			
	exit();
}
////////////////////RESUMEN pagos NOMINA
if ($_POST['treporte']==7) {
 $query='';
 $conceptoSal = "Sueldos y Salarios";
 if ($_POST['nomina']!='') $query .= " and personal.nomina = '".substr($_POST['per1'],13,3)."' ";

 		
		if ($_POST['salida']=='1') {
			//$consulta = "SELECT personal_sueldo.nomina,departamento,unidad,'Sueldos y Salarios',FORMAT(SUM(sueldo),2,'en_US') AS sueldo, count(*) as numero  FROM personal_sueldo,personal WHERE personal_sueldo.codigo=personal.codigo and personal_sueldo.id=personal.id and personal_sueldo.id=".$_SESSION['id_validar']." AND  personal_sueldo.fec>='".substr($_POST['per1'],0,10)."' AND  personal_sueldo.fec<= '".substr($_POST['per2'],0,10)."' group by personal_sueldo.nomina,departamento,unidad,'Sueldos y Salarios;'";
			
			$consulta = "SELECT personal_sueldo.nomina, departamento, unidad, 'Sueldos y Salarios', FORMAT(SUM(sueldo), 2, 'en_US') AS sueldo, COUNT(DISTINCT personal_sueldo.nomina) AS numero
			FROM personal_sueldo
			JOIN personal ON personal_sueldo.codigo=personal.codigo AND personal_sueldo.id=personal.id
			WHERE personal_sueldo.id=".$_SESSION['id_validar']." AND personal_sueldo.fec>='".substr($_POST['per1'],0,10)."' AND personal_sueldo.fec<='".substr($_POST['per2'],0,10)."' 
			GROUP BY personal_sueldo.nomina, departamento, unidad, 'Sueldos y Salarios';";

			$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$consulta = "SELECT FORMAT(SUM(sueldo),2,'en_US') AS sueldo, count(*) as numero  FROM personal_sueldo,personal
			WHERE personal_sueldo.codigo=personal.codigo and personal_sueldo.id=personal.id and personal_sueldo.id=".$_SESSION['id_validar']." AND  personal_sueldo.fec>='".substr($_POST['per1'],0,10)."' AND  personal_sueldo.fec<= '".substr($_POST['per2'],0,10)."';";
			$resultadoSum = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$sumMonto = mysqli_fetch_row($resultadoSum);
			$totales = array('Total',' ',' ',' ',$sumMonto[0],$sumMonto[1]);
			$pdf=new PDF('L');
			$pdf->AddPage();
			$pdf->AliasNbPages();
			$w=array(20,25,25,25,25,35,30);
			$space = (297 / 2) - (array_sum($w) / 2);
			$cabecera = array("Nomina","Departamento","Localidad","Concepto","Monto(Bs)", "Nro. Empleados");
			$pdf->SetFont('arial','B',12);
			$tittle = 'RESUMEN PAGOS NOMINA';
			$pdf->Ln(5);
			$pdf->Tabla($cabecera,$resultado,$w,$tittle,$space,$totales);
			$pdf->Output('Resumen pagos Nomina.pdf','D');	
			exit();
		}
	
	
		$consulta = "SELECT personal.codigo, CONCAT(nombres,' ',nombres1,' ',apellidos,' ',apellidos1),personal_sueldo.nomina,departamento,unidad,'".$conceptoSal."',REPLACE(REPLACE(FORMAT(SUM(sueldo),2),',',''),'.',',') AS sueldo  FROM personal_sueldo,personal WHERE personal_sueldo.codigo=personal.codigo and personal_sueldo.id=personal.id and personal_sueldo.id='".$_SESSION['id_validar']."' AND  personal_sueldo.fec>='".substr($_POST['per1'],0,10)."' AND  personal_sueldo.fec<= '".substr($_POST['per2'],0,10)."' group by personal_sueldo.codigo order by personal_sueldo.codigo";
		
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

    	$cont=0;
		$data=array();
		$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Nomina","Departamento","Localidad","Concepto","Monto(Bs)");
		$cabecera=implode(";",$cabecera);
		while ($row=mysqli_fetch_row($resultado)) {
		     $cont++;
			 $data[]=implode(";",$row);
		}
		$data=implode("\n",$data);
		$arch="resumen_pagos_nomina ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10).".csv";		
		header("Content-type: text/csv");
		header("Content-Disposition: attachment; filename=".$arch);
		header("Pragma: no-cache");
		header("Expires: 0");
		echo "Empresa: ".$_SESSION['empresa_validar']."\n";
		echo " \n";
		echo "Resumen de pagos de Nomina por centro de costo \n";
		echo " \n";
		echo "Periodo del: ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10)."\n";
		echo "\n";
		echo substr($_POST['per1'],0,10)."\n";
		echo $cabecera."\n";
		echo utf8_decode($data);		
				
		exit();
}

///////////////////RESUMEN pagos VACACIONES en USD
if ($_POST['treporte']==8) {
 $query='';
 		
		if ($_POST['salida']=='1') {
			$consulta = "SELECT nomina, departamento, unidad, fdesde, 
			FORMAT(avg(tasa),2,'de_DE') AS tasa,
			FORMAT(SUM(valor_dvac),2,'de_DE') AS valor_dvac,
			FORMAT(SUM(valor_dias_ext),2,'de_DE') AS valor_dias_ext,
			FORMAT(SUM(valor_dbon),2,'de_DE') AS valor_dbon,
			FORMAT(SUM(valor_otros),2,'de_DE') AS valor_otros,
			FORMAT(SUM(valor_dias_post),2,'de_DE') AS valor_dias_post,
			FORMAT(SUM(valor_mayor),2,'de_DE') AS valor_mayor,
			FORMAT(SUM(valor_diferencia),2,'de_DE') AS valor_diferencia,
			FORMAT(SUM(total_pago_vac),2,'de_DE') AS total_pago_vac,
			count(*) as numero
			FROM vacacion_usd,personal
			WHERE  cedula=personal.codigo and vacacion_usd.id=personal.id and vacacion_usd.id='".$_SESSION['id_validar']."' AND  vacacion_usd.fdesde>='".substr($_POST['per1'],0,10)."' AND  vacacion_usd.fdesde<= '".substr($_POST['per2'],0,10)."' GROUP BY   fdesde,nomina, departamento, unidad;";
			$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$consulta = "SELECT
			FORMAT(avg(tasa),2,'de_DE') AS tasa,
			FORMAT(SUM(valor_dvac),2,'de_DE') AS valor_dvac,
			FORMAT(SUM(valor_dias_ext),2,'de_DE') AS valor_dias_ext,
			FORMAT(SUM(valor_dbon),2,'de_DE') AS valor_dbon,
			FORMAT(SUM(valor_otros),2,'de_DE') AS valor_otros,
			FORMAT(SUM(valor_dias_post),2,'de_DE') AS valor_dias_post,
			FORMAT(SUM(valor_mayor),2,'de_DE') AS valor_mayor,
			FORMAT(SUM(valor_diferencia),2,'de_DE') AS valor_diferencia,
			FORMAT(SUM(total_pago_vac),2,'de_DE') AS total_pago_vac, 
			count(*) as numero
			FROM vacacion_usd,personal
			WHERE  cedula=personal.codigo and vacacion_usd.id=personal.id and vacacion_usd.id=".$_SESSION['id_validar']." AND  vacacion_usd.fdesde>='".substr($_POST['per1'],0,10)."' AND  vacacion_usd.fdesde<= '".substr($_POST['per2'],0,10)."';";
			$resultadoSum = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$sumMonto = mysqli_fetch_row($resultadoSum);
			$totales = array('Total',' ',' ',' ',$sumMonto[0],$sumMonto[1],$sumMonto[2],$sumMonto[3],$sumMonto[4],$sumMonto[5],$sumMonto[6],$sumMonto[7],$sumMonto[8],$sumMonto[9]);
			$pdf=new PDF('L','mm',[216,475]);
			$pdf->AddPage();
			$pdf->AliasNbPages();
			$w=array(25,25,25,35,30,35,35,35,35,35,35,30);
			$space = (465 / 2) - (array_sum($w) / 2);
			$cabecera = array("Nómina","Departamento","Localidad","Fecha registro","Tasa","Vacaciones Hab.","Vacaciones Adic.","Bono vacacional","Días Adic.","Bono Post-Vacac.","52%","48%","Total pago USD Vacac","Nro. Empleados");
			$pdf->SetFont('arial','B',12);
			$tittle = 'RESUMEN PAGOS VACACIONES EN ($)USD';
			$pdf->Ln(5);
			$pdf->Tabla($cabecera,$resultado,$w,$tittle,$space,$totales);
			$pdf->Output('Resumen pagos Vacaciones usd.pdf','D');	
			exit();
		}
		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		$consulta = "SELECT cedula, CONCAT(personal.nombres,' ',personal.nombres1,' ',personal.apellidos,' ',personal.apellidos1), nomina, departamento, unidad, fdesde,
		REPLACE(REPLACE(FORMAT(tasa,2),',',''),'.',','),		
		REPLACE(REPLACE(FORMAT(valor_dvac,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_dias_ext,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_dbon,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_otros,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_dias_post,2),',',''),'.',','), 
		REPLACE(REPLACE(FORMAT(valor_mayor,2),',',''),'.',','),
		REPLACE(REPLACE(FORMAT(valor_diferencia,2),',',''),'.',','),		
		REPLACE(REPLACE(FORMAT(total_pago_vac,2),',',''),'.',',') 
		FROM vacacion_usd,personal
		WHERE  cedula=personal.codigo and vacacion_usd.id=personal.id and vacacion_usd.id=".$_SESSION['id_validar']." AND  vacacion_usd.fdesde>='".substr($_POST['per1'],0,10)."' AND  vacacion_usd.fdesde<= '".substr($_POST['per2'],0,10)."' order by fdesde ASC";
		
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

		$cont=0;
		$data=array();
		$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Nomina","Departamento","Localidad","Fecha_registro","Tasa Bs/$","Vacaciones_Hab($)","Vacaciones_Adic($)","Bono_vacacional($)","Dias_Adic($)","Bono_Post_Vacac($)","52%($)","48%($)","Pago_($)_total_Vaca");
		$cabecera=implode(";",$cabecera);
		while ($row=mysqli_fetch_row($resultado)) {
		     $cont++;
			 $data[]=implode(";",$row);
		}
		$data=implode("\n",$data);
	$arch="resumen_pagos_vacaciones USD del ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10).".csv";		
	header("Content-type: text/csv");
	header("Content-Disposition: attachment; filename=".$arch);
	header("Pragma: no-cache");
	header("Expires: 0");
	echo "Empresa: ".$_SESSION['empresa_validar']."\n";
	echo " \n";
	echo "Resumen de pagos de Vacaciones en USD\n";
	echo " \n";
	echo "Periodo del: ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10)."\n";
	echo "\n";
	//echo substr($_POST['per1'],19,10)."\n";
	echo $cabecera."\n";
	echo utf8_decode($data);		
			
	exit();
}

   ////////////////////RESUMEN pagos BONIFICACION ESPECIAL en $$
if ($_POST['treporte']==9) {
	$query='';
	
	if ($_POST['nomina']!='') $query .= " and personal.nomina = '".substr($_POST['per1'],13,3)."' ";
			
		   if ($_POST['salida']=='1') {
			$consulta = "SELECT  pagos_bono_alimen.departamento,pagos_bono_alimen.localidad,concepto,desconcepto,FORMAT(sum(monto),2,'de_DE') as monto,fecha, count(*) as numero
			FROM pagos_bono_alimen,personal
			WHERE concepto IN('7014') AND pagos_bono_alimen.cedula=personal.codigo 
			and pagos_bono_alimen.id=personal.id and pagos_bono_alimen.id=".$_SESSION['id_validar']." AND  pagos_bono_alimen.fecha>='".substr($_POST['per1'],0,10)."' AND  pagos_bono_alimen.fecha<= '".substr($_POST['per2'],0,10)."' GROUP BY fecha, pagos_bono_alimen.departamento,pagos_bono_alimen.localidad,concepto,desconcepto;";
		    $resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$consulta = "SELECT FORMAT(sum(monto),2,'de_DE') as monto, count(*) as numero FROM pagos_bono_alimen,personal
			WHERE concepto IN('7014') AND pagos_bono_alimen.cedula=personal.codigo 
			and pagos_bono_alimen.id=personal.id and pagos_bono_alimen.id=".$_SESSION['id_validar']." AND  pagos_bono_alimen.fecha>='".substr($_POST['per1'],0,10)."' AND  pagos_bono_alimen.fecha<= '".substr($_POST['per2'],0,10)."';";
		    $resultadoSum = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$sumMonto = mysqli_fetch_row($resultadoSum);
			$totales = array('Total',' ',' ',' ',$sumMonto[0],' ',$sumMonto[1]);
			$pdf=new PDF('L');
			$pdf->AddPage();
			$pdf->AliasNbPages();
			$w=array(25,25,25,35,25,35,30);
			$space = (287 / 2) - (array_sum($w) / 2);
			$cabecera = array("Departamento","Localidad","Concepto","Concepto","Monto($)","Fecha Registro","Nro. Empleados");
			$pdf->SetFont('arial','B',12);
			$tittle = 'RESUMEN PAGOS BONIFICACION ESPECIAL';
			$pdf->Ln(5);
			$pdf->Tabla($cabecera,$resultado,$w,$tittle,$space,$totales);
			$pdf->Output('Resumen pagos Bonificacion Especial.pdf','D');	
			exit();
		}
		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		$consulta = "SELECT cedula, CONCAT(nombres,' ',nombres1,' ',apellidos,' ',apellidos1), pagos_bono_alimen.departamento,pagos_bono_alimen.localidad,concepto,desconcepto,REPLACE(REPLACE(FORMAT(monto,2),',',''),'.',','),fecha FROM pagos_bono_alimen,personal
		WHERE concepto IN('1498','7005','7009','7010','7011','7012','7013','7014') AND pagos_bono_alimen.cedula=personal.codigo and pagos_bono_alimen.id=personal.id and pagos_bono_alimen.id=".$_SESSION['id_validar']." AND  pagos_bono_alimen.fecha>='".substr($_POST['per1'],0,10)."' AND  pagos_bono_alimen.fecha<= '".substr($_POST['per2'],0,10)."' order by fecha,cedula,concepto";
		
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

		$cont=0;
		$data=array();
		$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Departamento","Localidad","Concepto","Concepto","Monto($)","Fecha_registro");
		   $cabecera=implode(";",$cabecera);
		   while ($row=mysqli_fetch_row($resultado)) {
				$cont++;
				$data[]=implode(";",$row);
		   }
		   $data=implode("\n",$data);
		$arch="resumen_pagos_bonif_especiales del ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10).".csv";		
		header("Content-type: text/csv");
		header("Content-Disposition: attachment; filename=".$arch);
		header("Pragma: no-cache");
		header("Expires: 0");
		echo "Empresa: ".$_SESSION['empresa_validar']."\n";
		echo " \n";
		echo "Resumen de pagos de Bonificaciones Especiales por centro de costo \n";
		echo " \n";
		echo "Periodo del: ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10)."\n";
		echo "\n";
		//echo substr($_POST['per1'],19,10)."\n";
		echo $cabecera."\n";
		echo utf8_decode($data);		
				
			exit();
   }
   
      ////////////////////RESUMEN conceptos nomina
if ($_POST['treporte']==10) {
	$query='';
	
			
		   if ($_POST['salida']=='1') {
			   
			   //echo "ENTRO AQUIIIII";
			$consulta = "SELECT  concepto,desconcepto,tipo,REPLACE(REPLACE(FORMAT(SUM(monto),2),',',''),'.',',') AS monto,nomina,desnomina FROM historico
			WHERE id=".$_SESSION['id_validar']." AND  substr(desperiodo,1,10)>='".substr($_POST['per1'],0,10)."' AND  substr(desperiodo,15,10)<= '".substr($_POST['per2'],0,10)."' GROUP BY nomina,concepto order by nomina,tipo,concepto";
		    
		    $resultadoSum = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			//$sumMonto = mysqli_fetch_row($resultadoSum);
			//$totales = array('Total',' ',' ',' ',$sumMonto[0],' ',$sumMonto[1]);
			$pdf=new PDF('L');
			$pdf->AddPage();
			$pdf->AliasNbPages();
			$w=array(25,70,25,35,25,40,35);
			$space = (287 / 2) - (array_sum($w) / 2);
			$cabecera = array("Codigo","Concepto","Tipo","Monto(Bs)","Cod. Nomina","Nomina");
			$pdf->SetFont('arial','B',12);
			$tittle = 'RESUMEN PAGOS POR CONCEPTO';
			$pdf->Ln(5);
			$pdf->Tabla($cabecera,$resultadoSum,$w,$tittle,$space,$totales);
			$pdf->Output('Resumen pagos por concepto.pdf','D');	
			exit();
		}
		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		$consulta = "SELECT concepto,desconcepto,tipo,REPLACE(REPLACE(FORMAT(SUM(monto),2),',',''),'.',',') AS monto,nomina,desnomina FROM historico	WHERE id=".$_SESSION['id_validar']." AND  substr(desperiodo,1,10)>='".substr($_POST['per1'],0,10)."' AND  substr(desperiodo,15,10)<= '".substr($_POST['per2'],0,10)."' GROUP BY nomina,concepto order by nomina,tipo,concepto";
		
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

		$cont=0;
		$data=array();
		$cabecera=array("Codigo","Concepto","Tipo","Monto(Bs)","Cod. Nomina","Nomina");
		   $cabecera=implode(";",$cabecera);
		   while ($row=mysqli_fetch_row($resultado)) {
				$cont++;
				$data[]=implode(";",$row);
		   }
		   $data=implode("\n",$data);
		$arch="resumen_conceptos del ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10).".csv";		
		header("Content-type: text/csv");
		header("Content-Disposition: attachment; filename=".$arch);
		header("Pragma: no-cache");
		header("Expires: 0");
		echo "Empresa: ".$_SESSION['empresa_validar']."\n";
		echo " \n";
		echo "Resumen de conceptos \n";
		echo " \n";
		echo "Periodo del: ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10)."\n";
		echo "\n";
		//echo substr($_POST['per1'],19,10)."\n";
		echo $cabecera."\n";
		echo utf8_decode($data);		
				
			exit();
   }
   
   ////////////////////RESUMEN pagos UTILIDADES
if ($_POST['treporte']==11) {
	$query='';
	
	if ($_POST['nomina']!='') $query .= " and personal.nomina = '".substr($_POST['per1'],13,3)."' ";

			
		   if ($_POST['salida']=='1') {
			$consulta = "SELECT  utilidades.departamento,concepto,desconcepto,FORMAT(sum(monto),2,'de_DE') as monto,fecha, count(*) as numero
			FROM utilidades,personal
			WHERE utilidades.cedula=personal.codigo 
			and utilidades.id=personal.id and utilidades.id=".$_SESSION['id_validar']." AND  utilidades.fecha>='".substr($_POST['per1'],0,10)."' AND  utilidades.fecha<= '".substr($_POST['per2'],0,10)."' GROUP BY fecha, utilidades.departamento,concepto,desconcepto;";
		    $resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$consulta = "SELECT FORMAT(sum(monto),2,'de_DE') as monto, count(*) as numero FROM utilidades,personal
			WHERE utilidades.cedula=personal.codigo 
			and utilidades.id=personal.id and utilidades.id=".$_SESSION['id_validar']." AND  utilidades.fecha>='".substr($_POST['per1'],0,10)."' AND  utilidades.fecha<= '".substr($_POST['per2'],0,10)."';";
		    $resultadoSum = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$sumMonto = mysqli_fetch_row($resultadoSum);
			//$totales = array('Total',' ',' ',$sumMonto[0],' ',$sumMonto[1]);
			$pdf=new PDF('L');
			$pdf->AddPage();
			$pdf->AliasNbPages();
			$w=array(25,25,50,35,25,35,30);
			$space = (287 / 2) - (array_sum($w) / 2);
			$cabecera = array("Departamento","Concepto","Concepto","Monto(Bs)","Fecha Registro","Nro. Empleados");
			$pdf->SetFont('arial','B',12);
			$tittle = 'RESUMEN PAGOS UTILIDADES';
			$pdf->Ln(5);
			$pdf->Tabla($cabecera,$resultado,$w,$tittle,$space,$totales);
			$pdf->Output('Resumen pagos Utilidades.pdf','D');	
			exit();
		}
		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		$consulta = "SELECT cedula, CONCAT(nombres,' ',nombres1,' ',apellidos,' ',apellidos1), utilidades.departamento,concepto,desconcepto,REPLACE(REPLACE(FORMAT(monto,2),',',''),'.',','),fecha FROM utilidades,personal
		WHERE utilidades.cedula=personal.codigo and utilidades.id=personal.id and utilidades.id=".$_SESSION['id_validar']." AND  utilidades.fecha>='".substr($_POST['per2'],0,10)."' and concepto='8121' order by fecha,cedula,concepto";
		
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

		$cont=0;
		$data=array();
		$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Departamento","Concepto","Concepto","Monto(Bs)","Fecha_registro");
		   $cabecera=implode(";",$cabecera);
		   while ($row=mysqli_fetch_row($resultado)) {
				$cont++;
				$data[]=implode(";",$row);
		   }
		   $data=implode("\n",$data);
		$arch="resumen_pagos_Utilidades_del ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10).".csv";		
		header("Content-type: text/csv");
		header("Content-Disposition: attachment; filename=".$arch);
		header("Pragma: no-cache");
		header("Expires: 0");
		echo "Empresa: ".$_SESSION['empresa_validar']."\n";
		echo " \n";
		echo "Resumen de pagos de Utilidades \n";
		echo " \n";
		echo "Periodo del: ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10)."\n";
		echo "\n";
		//echo substr($_POST['per1'],19,10)."\n";
		echo $cabecera."\n";
		echo utf8_decode($data);		
				
			exit();
   }
?>
<html>
	<head><link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table><hr>	
<?	echo "<tr align='center'>";	
	echo "<h1><center><font face='Verdana, Arial, Helvetica, sans-serif'>Generar Reportes Resumen por Centro Costo</font></center></h1>";
	echo "</tr>";
	echo "<font face='verdana' size=2>";
	echo "
	<br><br><form name='entrada' action='".$_SERVER['PHP_SELF']."' target='blank' method='POST' enctype='multipart/form-data'>
	<table align='center'>";
			if ($per!='') {
					echo "<tr><td align='righta'>Per&iacute;odo Actual:</td>
						  <td align='left'><font color=red>".$per."</font></td>
						  </tr>";
			}			
			echo "
				<tr><td align='righta'>Tipo de Archivo:</td>
				<td align='left'>
					<select style='width:300px;' name='treporte'>
						<option value='1'>Resumen pagos Bonopollo</option>
						<option value='2'>Resumen pagos Cestaticket</option>
						<option value='3'>Resumen pagos Especiales</option>
						<option value='4'>Resumen pagos Bonif. Especiales Bs.</option>
						<option value='5'>Resumen pagos Vacaciones</option>
						<option value='6'>Resumen pagos Liquidaciones</option>
						<option value='7'>Resumen pagos Nomina</option>
						<option value='8'>Resumen pagos Vacaciones USD</option>
						<option value='9'>Resumen pagos Bonif. Especiales $.</option>
						<option value='10'>Resumen Conceptos pagados Nomina</option>
						<option value='11'>Resumen Utilidades</option>
						

					</select>
				</td>
				</tr>
				<tr>
				<td align='righta'>Salida del Reporte:</td>
				<td align='left'>
					<select style='width:300px;' name='salida'>
						<option value='1' selected>PDF
						<option value='2' selected>CSV (EXCEL)
					</select>
				</td>
				</tr>";
			
			if ($_SESSION['id_validar']=='104' || $_SESSION['id_validar']=='106' || $_SESSION['id_validar']=='107'){
			$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' AND nomina='200' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");
			}
			elseif($_SESSION['id_validar']=='105'){
				$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");
							}

			
			$numr = mysqli_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Desde: </font></td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'per1'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysqli_fetch_array($consulta); 
				if ($x!=1) {
					echo "<option>".$row1['desde'];
				}	
			}
			echo "</select>";
			echo "</td></tr>";
			
			if ($_SESSION['id_validar']=='104' || $_SESSION['id_validar']=='106' || $_SESSION['id_validar']=='107'){
			$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' AND nomina='200' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");
			}
			elseif($_SESSION['id_validar']=='105'){
				$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");
							}
			
			$numr = mysqli_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Hasta: </font></td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'per2'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysqli_fetch_array($consulta); 
				if ($x!=1) {
					echo "<option>".$row1['hasta'];
				}	
			}
			echo "</select>";
			echo "</td></tr>";
			
			
			/*
			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."'  order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
								
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			*/
								
			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='submit' style='margin-left:5px; height:35px; width:200px' value='GENERAR ARCHIVO'>";
			echo "</td></tr>";	
			echo "</table></form></font>";
?>
		
	</body>
</html>